Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dmg.exception
Class DmgBusinessConnectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.businessconnector.dmg.exception.DmgBusinessConnectorException

All Implemented Interfaces:
  Serializable

    public class DmgBusinessConnectorException

extends ConnectorException

Connector Exception for Dmg Connector.

See Also:
  Serialized Form

Constructor Summary
`DmgBusinessConnectorException(DmgBusinessConnectorExceptionValues errorCodeValue)` creates `DmgBusinessConnectorException` for given exceptionValue
`DmgBusinessConnectorException(DmgBusinessConnectorExceptionValues errorCodeValue, Object... params)` Creates a `DmgBusinessConnectorException` for given exceptionValue and parameters.
`DmgBusinessConnectorException(DmgBusinessConnectorExceptionValues errorCodeValue, Throwable cause, Object... params)` creates `DmgBusinessConnectorException` for given exceptionValue, exception and parameters.

Method Summary

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DmgBusinessConnectorException

    public DmgBusinessConnectorException(DmgBusinessConnectorExceptionValues errorCodeValue,
                                         Object... params)

  Creates a `DmgBusinessConnectorException` for given exceptionValue and parameters.

  Parameters:
    `errorCodeValue` -
    `params` -

### DmgBusinessConnectorException

    public DmgBusinessConnectorException(DmgBusinessConnectorExceptionValues errorCodeValue)

  creates `DmgBusinessConnectorException` for given exceptionValue

  Parameters:
    `errorCodeValue` -

### DmgBusinessConnectorException

    public DmgBusinessConnectorException(DmgBusinessConnectorExceptionValues errorCodeValue,
                                         Throwable cause,
                                         Object... params)

  creates `DmgBusinessConnectorException` for given exceptionValue, exception and parameters.

  Parameters:
    `errorCodeValue` -
    `cause` - Throwable
    `params` - one or more parameters to be used in the error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.